
Ruby - Bug #13852

Backport r59693,59695 (Net::HTTP should raise error when CR/LF in a http header value)

08/30/2017 05:25 PM - naruse (Yui NARUSE)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.2: DONTNEED, 2.3: DONE, 2.4:

DONE

Description

This is a ticket for backport management. The issue was already fixed on trunk.

Let's treat r59693 as a bugfix and backport into stable branches.

Associated revisions

Revision 48d780285894ecc3f0919e83b92a9c3f235d2632 - 09/08/2017 02:27 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 59693,59695: [Backport #13852]

    A HTTP Header value must not contain CR or LF.

    to_str -> to_s

    * lib/net/http/header.rb (set_field): `val` can not have `to_str`.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@59783 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 48d78028 - 09/08/2017 02:27 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 59693,59695: [Backport #13852]

    A HTTP Header value must not contain CR or LF.

    to_str -> to_s

    * lib/net/http/header.rb (set_field): `val` can not have `to_str`.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@59783 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision add060094c498c835c3dfc50ace2ebd8b8bdfbcb - 09/09/2017 01:50 PM - U.Nakamura 

merge revision(s) 59693,59695: [Backport #13852]

    A HTTP Header value must not contain CR or LF.

    to_str -> to_s

    * lib/net/http/header.rb (set_field): `val` can not have `to_str`.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@59797 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision add06009 - 09/09/2017 01:50 PM - U.Nakamura 

merge revision(s) 59693,59695: [Backport #13852]

    A HTTP Header value must not contain CR or LF.

    to_str -> to_s

    * lib/net/http/header.rb (set_field): `val` can not have `to_str`.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@59797 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/31/2017 04:19 AM - naruse (Yui NARUSE)

- Subject changed from Backport r59693 (Net::HTTP should raise error when CR/LF in a http header value) to Backport r59693,59695 (Net::HTTP

should raise error when CR/LF in a http header value)

#2 - 09/08/2017 02:27 PM - nagachika (Tomoyuki Chikanaga)
- Backport changed from 2.2: DONTNEED, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: DONTNEED, 2.3: REQUIRED, 2.4: DONE

ruby_2_4 r59783 merged revision(s) 59693,59695.

#3 - 09/09/2017 01:50 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: DONTNEED, 2.3: REQUIRED, 2.4: DONE to 2.2: DONTNEED, 2.3: DONE, 2.4: DONE

ruby_2_3 r59797 merged revision(s) 59693,59695.
